Apparence:MonoBook

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page Skin:MonoBook and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎Nederlands • ‎català • ‎español • ‎français • ‎italiano • ‎polski • ‎português • ‎português do Brasil • ‎suomi • ‎български • ‎русский • ‎中文 • ‎日本語 • ‎한국어
This skin comes with MediaWiki 1.1 and above. Thus you do not have to download it again. However, you still need to follow the other instructions provided.
Manuel des habillages MediaWiki - catégorie
Crystal Clear device blockdevice.png
MonoBook
État de la version : stable
Dantman-Skin-monobook.png
Licence GPL-2.0-or-later
Téléchargement
Exemple https://en.wikipedia.org/w/index.php?useskin=monobook
Traduisez l'habillage MonoBook sur translatewiki.net
Vérifiez la matrice des utilisations et des versions.
Problèmes : Tâches ouvertes · Signalez un bug

MonoBook est un habillage. C'était l'habillage par défaut pour les sites de la Wikimedia Foundation depuis MediaWiki 1.3, en remplacement de l'ancien habillage standard. Il est devenu l'habillage le plus populaire et le plus largement pris en charge dans l'environnement MediaWiki jusqu'à ce qu'il soit finalement remplacé par l'habillage Vector par défaut le 13 mai 2010 (MediaWiki 1.17, git #2833b07a), à la suite des efforts de Wikipedia Usability Initiative pour améliorer les expériences utilisateur de Wikipedia et potentiellement attirer plus de participation des contributeurs. Il a servi de support commun à Vector et est toujours présent sur de nombreux wikis utilisant d'anciennes versions du logiciel MediaWiki.

Installation

L'apparence est inclue dans le tarball de téléchargement MediaWiki. Vous devez seulement l'installer séparément si vous installez MediaWiki en utilisant une méthode différente.


  • Télécharger et placer les fichiers dans un répertoire nommé MonoBook dans votre dossier skins/.
  • Ajoutez le code suivant à votre LocalSettings.php (en bas):
wfLoadSkin( 'MonoBook' );
  • Yes Fait - Naviguer vers Special:Version sur votre wiki pour vérifier l'installation correcte de l'habillage.

Pour les utilisateurs utilisant MediaWiki 1.24 ou une version précédente :

Les instructions ci-dessus expliquent la nouvelle façon d'installer un habillage en utilisant wfLoadSkin(), depuis MediaWiki 1.25. Si vous avez besoin d'installer cet habillage dans une version précédente, à la place de wfLoadSkin( 'MonoBook' );, vous devrez utiliser :

require_once "$IP/skins/MonoBook/MonoBook.php";

(Pour faire marcher un habillage sur une ancienne version, il peut se révéler nécessaire de télécharger la version correspondant à votre version de MediaWiki sur Special:SkinDistributor.)